    import {SystemProgram} from '@solana/web3'

public class | source

# SystemProgram

Factory class for transactions to interact with the System program

## Static Member Summary

Static Public Members
public static get | programId: PublicKey Public key that identifies the System program |

## Static Method Summary

Static Public Methods
public static | assign(from: PublicKey, programId: PublicKey): Transaction Generate a Transaction that assigns an account to a program |
public static | createAccount(from: PublicKey, newAccount: PublicKey, lamports: number, space: number, programId: PublicKey): Transaction Generate a Transaction that creates a new account |
public static | transfer(from: PublicKey, to: PublicKey, amount: number): Transaction Generate a Transaction that transfers lamports from one account to another |

## Static Public Members

### public static get programId: PublicKey source

Public key that identifies the System program

## Static Public Methods

### public static assign(from: PublicKey, programId: PublicKey): Transaction source

Generate a Transaction that assigns an account to a program

#### Params:

Name | Type | Attribute | Description
from | PublicKey |  |
programId | PublicKey |  |

#### Return:

Transaction

### public static createAccount(from: PublicKey, newAccount: PublicKey, lamports: number, space: number, programId: PublicKey): Transaction source

Generate a Transaction that creates a new account

#### Params:

Name | Type | Attribute | Description
from | PublicKey |  |
newAccount | PublicKey |  |
lamports | number |  |
space | number |  |
programId | PublicKey |  |

#### Return:

Transaction

### public static transfer(from: PublicKey, to: PublicKey, amount: number): Transaction source

Generate a Transaction that transfers lamports from one account to another

#### Params:

Name | Type | Attribute | Description
from | PublicKey |  |
to | PublicKey |  |
amount | number |  |

#### Return:

Transaction